Bots
Unarchive a bot
Unarchive a bot, restoring its recipient to its conversations and reopening a response bot’s one-to-one conversations. Callable by a company admin whose role includes the messaging update permission.
PUT
/
api
/
v1
/
messaging
/
bots
/
{id}
/
unarchive
Unarchive a bot
curl --request PUT \
--url https://api.fluid.app/api/v1/messaging/bots/{id}/unarchive \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v1/messaging/bots/{id}/unarchive"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v1/messaging/bots/{id}/unarchive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/v1/messaging/bots/{id}/unarchive",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/v1/messaging/bots/{id}/unarchive"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fluid.app/api/v1/messaging/bots/{id}/unarchive")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/v1/messaging/bots/{id}/unarchive")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 3187,
"title": "Paper Order Helper",
"description": "Answers questions about paper stock and delivery times",
"type": "ResponseBot",
"image_url": "https://cdn.fluid.app/bots/3187/paper-order-helper.png",
"avatar_background_color": "1565C0",
"avatar_emoji": null,
"archived_at": null,
"recipient": {
"id": 48176,
"discarded_at": null,
"avatar_background": null,
"first_name": "Paper Order Helper",
"last_name": null,
"email": null,
"phone": null,
"blocked": null
},
"conversation": null,
"conversations": [],
"webhook_external_uri": "https://bots.piedpiper.com/fluid/dunder-mifflin/paper-orders",
"webhook_http_method": "post"
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Response
The unarchived bot.
A messaging bot.
⌘I
Unarchive a bot
curl --request PUT \
--url https://api.fluid.app/api/v1/messaging/bots/{id}/unarchive \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v1/messaging/bots/{id}/unarchive"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v1/messaging/bots/{id}/unarchive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/v1/messaging/bots/{id}/unarchive",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/v1/messaging/bots/{id}/unarchive"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fluid.app/api/v1/messaging/bots/{id}/unarchive")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/v1/messaging/bots/{id}/unarchive")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 3187,
"title": "Paper Order Helper",
"description": "Answers questions about paper stock and delivery times",
"type": "ResponseBot",
"image_url": "https://cdn.fluid.app/bots/3187/paper-order-helper.png",
"avatar_background_color": "1565C0",
"avatar_emoji": null,
"archived_at": null,
"recipient": {
"id": 48176,
"discarded_at": null,
"avatar_background": null,
"first_name": "Paper Order Helper",
"last_name": null,
"email": null,
"phone": null,
"blocked": null
},
"conversation": null,
"conversations": [],
"webhook_external_uri": "https://bots.piedpiper.com/fluid/dunder-mifflin/paper-orders",
"webhook_http_method": "post"
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}